Name:           qtpass
Version:        1.3.2
Release:        %mkrel 2
Summary:        Cross-platform GUI for pass
License:        GPLv3
URL:            https://qtpass.org/
Group:          Security
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}/qtpass-%{version}.tar.xz
BuildRequires:  qtbase5-common-devel
BuildRequires:  lib64udev0-devel
BuildRequires:  lib64mtdev-devel
BuildRequires:  lib64ice-devel
BuildRequires:  lib64sm-devel
BuildRequires:  lib64gudev1.0-devel
BuildRequires:  lib64wacom-devel
BuildRequires:  tslib-devel   
BuildRequires:  lib64xcb-util-renderutil-devel
BuildRequires:  lib64xcb-util-keysyms-devel
BuildRequires:  lib64xcb-util-devel
BuildRequires:  lib64xcb-util-image-devel
BuildRequires:  lib64xcb-util-wm-devel
BuildRequires:  lib64pcre2-devel
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5dbus-devel
BuildRequires:  lib64evdev-devel
BuildRequires:  lib64input-devel
BuildRequires:  lib64qt5xcbqpa-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5eglfsdeviceintegration-devel
BuildRequires:  lib64qt5widgets-devel
BuildRequires:  lib64qt5svg-devel
BuildRequires:  lib64qt5test-devel
BuildRequires:  lib64qt5network-devel
BuildRequires:  qttools5
Requires:       hicolor-icon-theme
Requires:       pass

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%setup -q -n QtPass-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

rm -f %{buildroot}/%{_libdir}/qt5/tests/qtpass/util/tst_util

%files
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*



%changelog
* Thu Dec 05 2019 tex - 1.3.2-2pclos2019
- rebuild against updates

* Sat Oct 26 2019 tex - 1.3.2-1pclos2019
- new version: 1.3.2
